
#include "global.h"
#include <stdio.h>
#include <stdlib.h>
#include <ctype.h>
#include <math.h>
#include <malloc.h>
#include <string.h>
#include <time.h>
#include "utmemo.h"
#include "utio.h"
#include "utmath.h"
#include "io.h"
#include "step.h"
#include "analyze.h"

/* files */

/* configuration file & its copy */
#define CFGNAME	"config.txt"
#define TMPNAME	"config.tmp"
/* log file names */
#define LOGNAME "time.log"
#define ERRNAME "error.log"

/* file extensions */
#define EXTEMP	"_t.m"
#define EXSPAT	"_s.m"

/* temporary output control */
#define SCR_STEPS	500
#define TMP_STEPS	20
#define MAX_TMP_STEPS	200000
#define DBG_STEP	1
#define DBG_MSTEP	100

/* constants */

/* Pi number */
#define PI   3.141592653589793
/* turbulent Prandtl number */
#define PRANT 0.9
/* other turbulent params */
#define Cmu	0.09
#define Sige	1.3
#define SIGT	1.0
#define C1e	1.45
#define C2e	1.92

#define KAMIN	1.e-5
#define EPMIN	KAMIN

#define DIMRATE	0.7
#define BRKRATE	1.5

#define LIMITER 0

#define IS_TUTORIAL
//#define DEBUG


